clan::ImageProviderType Class Reference - ClanLib SDK
Description: clan::ImageProviderType Class Reference

Public Member Functions | List of all members
clan::ImageProviderType Class Referenceabstract
clanDisplay Image Providers

Provider type. More...

`#include <provider_type.h>`

Inheritance diagram for clan::ImageProviderType:

## Public Member Functions
| ImageProviderType (const std::string &type)
| Registers a provider type in the ImageProviderFactory.
virtual | ~ImageProviderType ()
| Unregisters a provider type in the ImageProviderFactory.
virtual PixelBuffer | load (const std::string &filename, const FileSystem &fs, bool srgb)=0
| Called to load an image with this provider type.
virtual PixelBuffer | load (IODevice &file, bool srgb)=0
virtual void | save (PixelBuffer buffer, const std::string &filename, FileSystem &fs)=0
| Called to save a given PixelBuffer to a file.
virtual void | save (PixelBuffer buffer, IODevice &file)=0

## Detailed Description

Provider type.

## Constructor & Destructor Documentation

## ◆ ImageProviderType()

clan::ImageProviderType::ImageProviderType | ( | const std::string & | type | ) |

Registers a provider type in the ImageProviderFactory.

Referenced by clan::ProviderType_Register< ProviderClass >::ProviderType_Register().

## ◆ ~ImageProviderType()

virtual clan::ImageProviderType::~ImageProviderType | ( |  | ) |
| virtual

Unregisters a provider type in the ImageProviderFactory.

## Member Function Documentation

## ◆ load() [1/2]

virtual PixelBuffer clan::ImageProviderType::load | ( | const std::string & | filename,
|  | const FileSystem & | fs,
|  | bool | srgb )
| pure virtual

Called to load an image with this provider type.

Implemented in clan::ProviderType_Register< ProviderClass >.

## ◆ load() [2/2]

virtual PixelBuffer clan::ImageProviderType::load | ( | IODevice & | file,
|  | bool | srgb )
| pure virtual

Implemented in clan::ProviderType_Register< ProviderClass >.

## ◆ save() [1/2]

virtual void clan::ImageProviderType::save | ( | PixelBuffer | buffer,
|  | const std::string & | filename,
|  | FileSystem & | fs )
| pure virtual

Called to save a given PixelBuffer to a file.

Implemented in clan::ProviderType_Register< ProviderClass >.

## ◆ save() [2/2]

virtual void clan::ImageProviderType::save | ( | PixelBuffer | buffer,
|  | IODevice & | file )
| pure virtual

Implemented in clan::ProviderType_Register< ProviderClass >.

The documentation for this class was generated from the following file:

- provider_type.h